<?php 
ini_set("display_errors", 1);
session_start();
if($_POST['web_services']=='Timbrar'){

require_once('nusoap.php');
$xml_armado = isset($_SESSION['xml_armado'])?$_SESSION['xml_armado']:'';
$xml_armado = str_replace('<?xml version="1.0" encoding="utf-8"?>','',$xml_armado);


if($_SESSION['xml']['ambiente']=='QA'){
	$client = new nusoap_client('https://gwcloud.pegasotecnologia.mx/CfdiQAServAdm_EmisionBaseExternalService');
	}elseif($_SESSION['xml']['ambiente']=='PROD'){	
	$client = new nusoap_client('https://gwcloud.pegasotecnologia.mx/CfdiPRODServAdm_EmisionBaseExternalService');
		}
				
$result = $client->call('emitirCFD',/*agrega esta línea en tu php utf8_encode*/utf8_decode(utf8_encode ($xml_armado)), 'http://namespace.pegasotecnologia.com/SCFD','http://namespace.pegasotecnologia.com/SCFD/IEmisionBaseExternalService/emitirCFD',

'<Action>http://namespace.pegasotecnologia.com/SCFD/IEmisionBaseExternalService/emitirCFD</Action>','','','literal');

 $fp = fopen("LOGXML.txt","a");
fwrite($fp, utf8_decode( utf8_encode ($xml_armado)) . PHP_EOL);
fclose($fp); 

}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<style type="text/css">
.ac{ font-family:Calibri; color:#FF0000;}
.ap{ font-family:Calibri; color:#006600;}
.ab{ font-family:Calibri; color:#006600;}
.verde{color:#338300; }
#rojo{ color:#FF0000;}
.error{ font-weight:bold; color:#FF0000; font-size:18px;   }
body{ color:#000000; background-color:#EBEBEB;
font-family:Calibri; font-size:14px; font-weight:normal;}
td{ border:1px #00CC00 solid;}
</style>
<title>Editor de txt</title>
</head>

<body><?php
require("links.php");

$xml_webservices1 = explode('<emitirCFDResult>',$client->response);
$xml_webservices2 = explode('</emitirCFDResult>',$xml_webservices1[1]);

if(simplexml_load_string($xml_webservices2[0])){
$xmlws = simplexml_load_string($xml_webservices2[0]);
$TransaccionIDWS = $xmlws->Transaccion['id'];
$EstatusWS = $xmlws->Transaccion['estatus'];
$ComprobanteWS = $xmlws->CFD['comprobanteStr'];
$serie = $xmlws->CFD['serie'];
$folio = $xmlws->CFD['folio'];
$uuid = $xmlws->TFD['UUID'];
$FechaTimbrado = $xmlws->TFD['FechaTimbrado'];

$cbb='codigobb';
}
                if ($EstatusWS == 'EXITO') {

                    if ( $ComprobanteWS == true ) {
                        $xml3 = str_replace('&lt;', '<', $ComprobanteWS);
                        $xml4 = str_replace('&gt;', '>', $xml3);
                        $xml5 = str_replace('&quot;', '"', $xml4);
                        $xml6 = str_replace('&#xD;&#xA;', '', $xml5);
                        
						$_SESSION['xmlreturn'] = $xml6;
						?><table width='600px;' border="0" style='margin-left:auto; margin-right:auto;' ><tr><td><?php 
						echo '<h2>Trasaccion id</h2>' . $TransaccionIDWS . '';
						echo '<h2>Estatus</h2><pre class="verde">' . $EstatusWS . '</pre>';
						echo '<h2>Serie</h2><pre>' . $serie . '</pre>';
						echo '<h2>folio</h2><pre>' . $folio . '</pre>';
						echo '<h2>UUID</h2><pre>' . $uuid . '</pre>';
						echo '<h2>Fecha Timbrado</h2><pre>' . $FechaTimbrado . '</pre>';
						$_SESSION['seriefolio'] = '';
						$_SESSION['seriefolio'] = $serie.$folio;
						?>
						</td><td>
						<div style="width:150px; margin-left:auto; margin-right:auto; ">
						<a href="pdf33.php?parametro=ver" target="_blank">
						<img src="PDF.png"  width="128" ><br/> ver PDF </a>
						<br/><br/>
						
						<a href="xml_descargar.php?descargar=xml" target="_blank"><img src="XML.png" width="128"><br/> DESCARGAR xml </a>
						
						
						</div></td></tr></table>
						<?php

						} else {
                        echo $xml6 = "El sistema Pegaso no regresó el xml, solicitarlo al coorporativo";
						
						echo '<h2>Result</h2><pre>';
						print_r($result);
						echo '</pre>';
		
		
						echo '<h2>Request</h2><pre>' . htmlspecialchars($client->request, ENT_QUOTES) . '</pre>';
                        echo '<h2>Response</h2><pre>' . htmlspecialchars( utf8_decode($client->response), ENT_QUOTES) . '</pre>';
						}
                    
                }elseif ($EstatusWS == 'PREVIAMENTE_EMITIDO') {
                   
                        if ($ComprobanteWS == true) {

                            $xml3 = str_replace('&lt;', '<', $ComprobanteWS );
                            $xml4 = str_replace('&gt;', '>', $xml3);
                            $xml5 = str_replace('&quot;', '"', $xml4);
                            $xml6 = str_replace('&#xD;&#xA;', '', $xml5);
                          $_SESSION['xmlreturn'] = $xml6;
						  ?><table width='600px;' border="0"  style='margin-left:auto; margin-right:auto;'><tr><td><?php 
						echo '<h2>Trasaccion id</h2>' . $TransaccionIDWS . '';
						echo '<h2>Estatus</h2><pre id="rojo">' . $EstatusWS . '</pre>';
						echo '<h2>Serie</h2><pre>' . $serie . '</pre>';
						echo '<h2>folio</h2><pre>' . $folio . '</pre>';
						echo '<h2>UUID</h2><pre>' . $uuid . '</pre>';
						echo '<h2>Fecha Timbrado</h2><pre>' . $FechaTimbrado . '</pre>';
						$_SESSION['seriefolio'] = '';
						$_SESSION['seriefolio'] = $serie.$folio;
						?>
						</td><td>
						<div style="width:150px; margin-left:auto; margin-right:auto; ">
						<a href="pdf33.php?parametro=ver" target="_blank">
						<img src="PDF.png"  width="128"><br/> ver PDF </a>
						<br/><br/>
						
						<a href="xml_descargar.php?descargar=xml" target="_blank">
						<img src="XML.png"  width="128"><br/> DESCARGAR xml </a>
						
						</div></td></tr></table>
						<?php

						} else {
                        echo $xml6 = "El sistema Pegaso no regresó el xml, solicitarlo al coorporativo";
						
						echo '<h2>Result</h2><pre>';
						print_r($result);
						echo '</pre>';
		
						echo '<h2>Request</h2><pre>' . htmlspecialchars($client->request, ENT_QUOTES) . '</pre>';
echo '<h2>Response</h2><pre>' . htmlspecialchars( utf8_decode($client->response), ENT_QUOTES) . '</pre>';
						}
         
                }elseif ($EstatusWS ==  'ERROR'){
					$erroresWS="";
					foreach($xmlws->Error as $etiquetaError){
						$erroresWS .= str_replace("'",'', $etiquetaError['descripcion']).'<br/>';
						} 
                    ?><br><br><p class="error">Pegaso ha regresado los siguientes errores:<br><?php echo $erroresWS ?></p><?php
                }else{	
					echo $client->getError();
				}	
?>
</body>